<?xml version="1.0" standalone="yes"?>
<!DOCTYPE database SYSTEM "file:///System/Library/DTDs/CoreData.dtd">

<database>
    <databaseInfo>
        <version>134481920</version>
        <UUID>B7872188-B623-47F1-8CDA-19B36EFB08C9</UUID>
        <nextObjectID>217</nextObjectID>
        <metadata>
            <plist version="1.0">
                <dict>
                    <key>NSPersistenceFrameworkVersion</key>
                    <integer>1152</integer>
                    <key>NSStoreModelVersionHashes</key>
                    <dict>
                        <key>XDDevAttributeMapping</key>
                        <data>
		0plcXXRN7XHKl5CcF+fwriFmUpON3ZtcI/AfK748aWc=
		</data>
                        <key>XDDevEntityMapping</key>
                        <data>
		qeN1Ym3TkWN1G6dU9RfX6Kd2ccEvcDVWHpd3LpLgboI=
		</data>
                        <key>XDDevMappingModel</key>
                        <data>
		EqtMzvRnVZWkXwBHu4VeVGy8UyoOe+bi67KC79kphlQ=
		</data>
                        <key>XDDevPropertyMapping</key>
                        <data>
		XN33V44TTGY4JETlMoOB5yyTKxB+u4slvDIinv0rtGA=
		</data>
                        <key>XDDevRelationshipMapping</key>
                        <data>
		akYY9LhehVA/mCb4ATLWuI9XGLcjpm14wWL1oEBtIcs=
		</data>
                    </dict>
                    <key>NSStoreModelVersionHashesDigest</key>
                    <string>+Hmc2uYZK6og+Pvx5GUJ7oW75UG4V/ksQanTjfTKUnxyGWJRMtB5tIRgVwGsrd7lz/QR57++wbvWsr6nxwyS0A==</string>
                    <key>NSStoreModelVersionHashesVersion</key>
                    <integer>3</integer>
                    <key>NSStoreModelVersionIdentifiers</key>
                    <array>
                        <string></string>
                    </array>
                </dict>
            </plist>
        </metadata>
    </databaseInfo>
    <object type="XDDEVATTRIBUTEMAPPING" id="z102">
        <attribute name="name" type="string">syncVersion</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z171"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z103">
        <attribute name="name" type="string">startDate</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z175"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z104">
        <attribute name="name" type="string">value</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z135"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z105">
        <attribute name="name" type="string">reason</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z142"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z106">
        <attribute name="name" type="string">syncIdentifier</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z175"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z107">
        <attribute name="name" type="string">scheduledBasalRate</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z142"></relationship>
    </object>
    <object type="XDDEVENTITYMAPPING" id="z108">
        <attribute name="sourcename" type="string">Reservoir</attribute>
        <attribute name="mappingtypename" type="string">Undefined</attribute>
        <attribute name="mappingnumber" type="int16">3</attribute>
        <attribute name="destinationname" type="string">Reservoir</attribute>
        <attribute name="autogenerateexpression" type="bool">1</attribute>
        <relationship name="mappingmodel" type="1/1" destination="XDDEVMAPPINGMODEL" idrefs="z133"></relationship>
        <relationship name="attributemappings" type="0/0" destination="XDDEVATTRIBUTEMAPPING" idrefs="z119 z124 z181 z159"></relationship>
        <relationship name="relationshipmappings" type="0/0" destination="XDDEVRELATIONSHIPMAPPING"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z109">
        <attribute name="name" type="string">provenanceIdentifier</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z142"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z110">
        <attribute name="name" type="string">anchorKey</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z175"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z111">
        <attribute name="name" type="string">unit</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z135"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z112">
        <attribute name="name" type="string">condition</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z171"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z113">
        <attribute name="name" type="string">modificationCounter</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z137"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z114">
        <attribute name="name" type="string">isMutable</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z142"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z115">
        <attribute name="name" type="string">modificationCounter</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z125"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z116">
        <attribute name="name" type="string">trendRateUnit</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z171"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z117">
        <attribute name="name" type="string">createdAt</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z135"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z118">
        <attribute name="name" type="string">manuallyEntered</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z142"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z119">
        <attribute name="name" type="string">createdAt</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z108"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z120">
        <attribute name="name" type="string">createdAt</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z142"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z121">
        <attribute name="name" type="string">supercededDate</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z175"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z122">
        <attribute name="name" type="string">mutable</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z135"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z123">
        <attribute name="name" type="string">deletedAt</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z142"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z124">
        <attribute name="name" type="string">date</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z108"></relationship>
    </object>
    <object type="XDDEVENTITYMAPPING" id="z125">
        <attribute name="mappingtypename" type="string">Undefined</attribute>
        <attribute name="mappingnumber" type="int16">2</attribute>
        <attribute name="destinationname" type="string">SettingsObject</attribute>
        <attribute name="autogenerateexpression" type="bool">1</attribute>
        <relationship name="mappingmodel" type="1/1" destination="XDDEVMAPPINGMODEL" idrefs="z133"></relationship>
        <relationship name="attributemappings" type="0/0" destination="XDDEVATTRIBUTEMAPPING" idrefs="z141 z130 z115"></relationship>
        <relationship name="relationshipmappings" type="0/0" destination="XDDEVRELATIONSHIPMAPPING"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z126">
        <attribute name="name" type="string">trend</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z171"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z127">
        <attribute name="name" type="string">uploaded</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z135"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z128">
        <attribute name="name" type="string">value</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z171"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z129">
        <attribute name="name" type="string">modificationCounter</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z171"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z130">
        <attribute name="name" type="string">data</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z125"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z131">
        <attribute name="name" type="string">insulinType</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z135"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z132">
        <attribute name="name" type="string">automatic</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z135"></relationship>
    </object>
    <object type="XDDEVMAPPINGMODEL" id="z133">
        <attribute name="sourcemodelpath" type="string">LoopKit/Persistence/Model.xcdatamodeld/Model.xcdatamodel</attribute>
        <attribute name="sourcemodeldata" type="binary">YnBsaXN0MDDUAAEAAgADAAQABQAGAAcAClgkdmVyc2lvblkkYXJjaGl2ZXJUJHRvcFgkb2JqZWN0
[encoded data, 252320 characters]
</attribute>
        <attribute name="destinationmodelpath" type="string">LoopKit/Persistence/Model.xcdatamodeld/Modelv4.xcdatamodel</attribute>
        <attribute name="destinationmodeldata" type="binary">YnBsaXN0MDDUAAEAAgADAAQABQAGAAcAClgkdmVyc2lvblkkYXJjaGl2ZXJUJHRvcFgkb2JqZWN0
[encoded data, 382840 characters]
</attribute>
        <relationship name="entitymappings" type="0/0" destination="XDDEVENTITYMAPPING" idrefs="z186 z125 z142 z108 z135 z171 z175 z137"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z134">
        <attribute name="name" type="string">data</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z137"></relationship>
    </object>
    <object type="XDDEVENTITYMAPPING" id="z135">
        <attribute name="sourcename" type="string">PumpEvent</attribute>
        <attribute name="mappingtypename" type="string">Undefined</attribute>
        <attribute name="mappingnumber" type="int16">4</attribute>
        <attribute name="destinationname" type="string">PumpEvent</attribute>
        <attribute name="autogenerateexpression" type="bool">1</attribute>
        <relationship name="mappingmodel" type="1/1" destination="XDDEVMAPPINGMODEL" idrefs="z133"></relationship>
        <relationship name="attributemappings" type="0/0" destination="XDDEVATTRIBUTEMAPPING" idrefs="z154 z156 z111 z127 z132 z157 z151 z122 z117 z131 z104 z143 z185 z165 z139 z178"></relationship>
        <relationship name="relationshipmappings" type="0/0" destination="XDDEVRELATIONSHIPMAPPING"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z136">
        <attribute name="name" type="string">userUpdatedDate</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z175"></relationship>
    </object>
    <object type="XDDEVENTITYMAPPING" id="z137">
        <attribute name="mappingtypename" type="string">Undefined</attribute>
        <attribute name="mappingnumber" type="int16">1</attribute>
        <attribute name="destinationname" type="string">DosingDecisionObject</attribute>
        <attribute name="autogenerateexpression" type="bool">1</attribute>
        <relationship name="mappingmodel" type="1/1" destination="XDDEVMAPPINGMODEL" idrefs="z133"></relationship>
        <relationship name="attributemappings" type="0/0" destination="XDDEVATTRIBUTEMAPPING" idrefs="z172 z134 z113"></relationship>
        <relationship name="relationshipmappings" type="0/0" destination="XDDEVRELATIONSHIPMAPPING"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z138">
        <attribute name="name" type="string">programmedTempBasalRate</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z142"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z139">
        <attribute name="name" type="string">date</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z135"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z140">
        <attribute name="name" type="string">syncIdentifier</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z171"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z141">
        <attribute name="name" type="string">date</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z125"></relationship>
    </object>
    <object type="XDDEVENTITYMAPPING" id="z142">
        <attribute name="sourcename" type="string">CachedInsulinDeliveryObject</attribute>
        <attribute name="mappingtypename" type="string">Undefined</attribute>
        <attribute name="mappingnumber" type="int16">6</attribute>
        <attribute name="destinationname" type="string">CachedInsulinDeliveryObject</attribute>
        <attribute name="autogenerateexpression" type="bool">1</attribute>
        <relationship name="mappingmodel" type="1/1" destination="XDDEVMAPPINGMODEL" idrefs="z133"></relationship>
        <relationship name="attributemappings" type="0/0" destination="XDDEVATTRIBUTEMAPPING" idrefs="z105 z123 z174 z148 z176 z107 z138 z120 z180 z166 z114 z173 z152 z144 z118 z167 z158 z109"></relationship>
        <relationship name="relationshipmappings" type="0/0" destination="XDDEVRELATIONSHIPMAPPING"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z143">
        <attribute name="name" type="string">alarmType</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z135"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z144">
        <attribute name="name" type="string">automaticallyIssued</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z142"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z145">
        <attribute name="name" type="string">healthKitEligibleDate</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z171"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z146">
        <attribute name="name" type="string">device</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z171"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z147">
        <attribute name="name" type="string">unitString</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z171"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z148">
        <attribute name="name" type="string">hasLoopKitOrigin</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z142"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z149">
        <attribute name="name" type="string">trendRateValue</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z171"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z150">
        <attribute name="name" type="string">addedDate</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z175"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z151">
        <attribute name="name" type="string">deliveredUnits</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z135"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z152">
        <attribute name="name" type="string">uuid</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z142"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z153">
        <attribute name="name" type="string">foodType</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z175"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z154">
        <attribute name="name" type="string">type</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z135"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z155">
        <attribute name="name" type="string">provenanceIdentifier</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z175"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z156">
        <attribute name="name" type="string">doseType</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z135"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z157">
        <attribute name="name" type="string">title</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z135"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z158">
        <attribute name="name" type="string">syncIdentifier</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z142"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z159">
        <attribute name="name" type="string">raw</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z108"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z160">
        <attribute name="name" type="string">uuid</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z175"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z161">
        <attribute name="name" type="string">uuid</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z171"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z162">
        <attribute name="name" type="string">absorptionTime</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z175"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z163">
        <attribute name="name" type="string">grams</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z175"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z164">
        <attribute name="name" type="string">startDate</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z171"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z165">
        <attribute name="name" type="string">raw</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z135"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z166">
        <attribute name="name" type="string">value</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z142"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z167">
        <attribute name="name" type="string">isSuspend</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z142"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z168">
        <attribute name="name" type="string">createdByCurrentApp</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z175"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z169">
        <attribute name="name" type="string">userCreatedDate</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z175"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z170">
        <attribute name="name" type="string">isDisplayOnly</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z171"></relationship>
    </object>
    <object type="XDDEVENTITYMAPPING" id="z171">
        <attribute name="sourcename" type="string">CachedGlucoseObject</attribute>
        <attribute name="mappingtypename" type="string">Undefined</attribute>
        <attribute name="mappingnumber" type="int16">5</attribute>
        <attribute name="destinationname" type="string">CachedGlucoseObject</attribute>
        <attribute name="autogenerateexpression" type="bool">1</attribute>
        <relationship name="mappingmodel" type="1/1" destination="XDDEVMAPPINGMODEL" idrefs="z133"></relationship>
        <relationship name="attributemappings" type="0/0" destination="XDDEVATTRIBUTEMAPPING" idrefs="z179 z146 z126 z116 z164 z145 z102 z140 z128 z147 z129 z170 z112 z182 z161 z149"></relationship>
        <relationship name="relationshipmappings" type="0/0" destination="XDDEVRELATIONSHIPMAPPING"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z172">
        <attribute name="name" type="string">date</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z137"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z173">
        <attribute name="name" type="string">endDate</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z142"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z174">
        <attribute name="name" type="string">startDate</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z142"></relationship>
    </object>
    <object type="XDDEVENTITYMAPPING" id="z175">
        <attribute name="migrationpolicyclassname" type="string">LoopKit.CachedCarbObjectv3EntityMigrationPolicy</attribute>
        <attribute name="sourcename" type="string">CachedCarbObject</attribute>
        <attribute name="mappingtypename" type="string">Undefined</attribute>
        <attribute name="mappingnumber" type="int16">7</attribute>
        <attribute name="destinationname" type="string">CachedCarbObject</attribute>
        <attribute name="autogenerateexpression" type="bool">1</attribute>
        <relationship name="mappingmodel" type="1/1" destination="XDDEVMAPPINGMODEL" idrefs="z133"></relationship>
        <relationship name="attributemappings" type="0/0" destination="XDDEVATTRIBUTEMAPPING" idrefs="z183 z168 z184 z106 z163 z162 z153 z177 z136 z169 z110 z103 z121 z155 z160 z150"></relationship>
        <relationship name="relationshipmappings" type="0/0" destination="XDDEVRELATIONSHIPMAPPING"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z176">
        <attribute name="name" type="string">modificationCounter</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z142"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z177">
        <attribute name="name" type="string">syncVersion</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z175"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z178">
        <attribute name="name" type="string">duration</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z135"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z179">
        <attribute name="name" type="string">provenanceIdentifier</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z171"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z180">
        <attribute name="name" type="string">insulinType</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z142"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z181">
        <attribute name="name" type="string">volume</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z108"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z182">
        <attribute name="name" type="string">wasUserEntered</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z171"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z183">
        <attribute name="name" type="string">operation</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z175"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z184">
        <attribute name="name" type="string">userDeletedDate</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z175"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z185">
        <attribute name="name" type="string">modificationCounter</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z135"></relationship>
    </object>
    <object type="XDDEVENTITYMAPPING" id="z186">
        <attribute name="sourcename" type="string">DeletedCarbObject</attribute>
        <attribute name="migrationpolicyclassname" type="string">LoopKit.DeletedCarbObjectv3EntityMigrationPolicy</attribute>
        <attribute name="destinationname" type="string">CachedCarbObject</attribute>
        <attribute name="name" type="string">DeletedCarbObjectToCachedCarbObject</attribute>
        <attribute name="mappingtypename" type="string">Undefined</attribute>
        <attribute name="mappingnumber" type="int16">8</attribute>
        <attribute name="autogenerateexpression" type="bool">1</attribute>
        <relationship name="mappingmodel" type="1/1" destination="XDDEVMAPPINGMODEL" idrefs="z133"></relationship>
        <relationship name="attributemappings" type="0/0" destination="XDDEVATTRIBUTEMAPPING" idrefs="z189 z195 z187 z196 z197 z194 z198 z193 z202 z200 z201 z188 z190 z192 z199 z191"></relationship>
        <relationship name="relationshipmappings" type="0/0" destination="XDDEVRELATIONSHIPMAPPING"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z187">
        <attribute name="name" type="string">absorptionTime</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z186"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z188">
        <attribute name="name" type="string">addedDate</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z186"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z189">
        <attribute name="name" type="string">anchorKey</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z186"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z190">
        <attribute name="name" type="string">createdByCurrentApp</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z186"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z191">
        <attribute name="name" type="string">foodType</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z186"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z192">
        <attribute name="name" type="string">grams</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z186"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z193">
        <attribute name="name" type="string">operation</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z186"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z194">
        <attribute name="name" type="string">provenanceIdentifier</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z186"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z195">
        <attribute name="name" type="string">startDate</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z186"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z196">
        <attribute name="name" type="string">supercededDate</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z186"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z197">
        <attribute name="name" type="string">syncIdentifier</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z186"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z198">
        <attribute name="name" type="string">syncVersion</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z186"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z199">
        <attribute name="name" type="string">userCreatedDate</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z186"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z200">
        <attribute name="name" type="string">userDeletedDate</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z186"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z201">
        <attribute name="name" type="string">userUpdatedDate</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z186"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z202">
        <attribute name="name" type="string">uuid</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z186"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z203">
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z204">
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING"></relationship>
    </object>
    <object type="XDDEVENTITYMAPPING" id="z205">
        <attribute name="sourcename" type="string">CachedInsulinDeliveryObject</attribute>
        <attribute name="mappingtypename" type="string">Undefined</attribute>
        <attribute name="mappingnumber" type="int16">0</attribute>
        <attribute name="destinationname" type="string">CachedInsulinDeliveryObject</attribute>
        <attribute name="autogenerateexpression" type="bool">1</attribute>
        <relationship name="mappingmodel" type="1/1" destination="XDDEVMAPPINGMODEL"></relationship>
        <relationship name="attributemappings" type="0/0" destination="XDDEVATTRIBUTEMAPPING"></relationship>
        <relationship name="relationshipmappings" type="0/0" destination="XDDEVRELATIONSHIPMAPPING"></relationship>
    </object>
    <object type="XDDEVENTITYMAPPING" id="z206">
        <attribute name="sourcename" type="string">CachedCarbObject</attribute>
        <attribute name="mappingtypename" type="string">Undefined</attribute>
        <attribute name="mappingnumber" type="int16">0</attribute>
        <attribute name="destinationname" type="string">CachedCarbObject</attribute>
        <attribute name="autogenerateexpression" type="bool">1</attribute>
        <relationship name="mappingmodel" type="1/1" destination="XDDEVMAPPINGMODEL"></relationship>
        <relationship name="attributemappings" type="0/0" destination="XDDEVATTRIBUTEMAPPING"></relationship>
        <relationship name="relationshipmappings" type="0/0" destination="XDDEVRELATIONSHIPMAPPING"></relationship>
    </object>
    <object type="XDDEVENTITYMAPPING" id="z207">
        <attribute name="mappingtypename" type="string">Undefined</attribute>
        <attribute name="mappingnumber" type="int16">1</attribute>
        <attribute name="destinationname" type="string">SettingsObject</attribute>
        <attribute name="autogenerateexpression" type="bool">1</attribute>
        <relationship name="mappingmodel" type="1/1" destination="XDDEVMAPPINGMODEL"></relationship>
        <relationship name="attributemappings" type="0/0" destination="XDDEVATTRIBUTEMAPPING" idrefs="z208 z214 z215"></relationship>
        <relationship name="relationshipmappings" type="0/0" destination="XDDEVRELATIONSHIPMAPPING"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z208">
        <attribute name="name" type="string">date</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z207"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z209">
        <attribute name="name" type="string">modificationCounter</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z216"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z210">
        <attribute name="name" type="string">data</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z216"></relationship>
    </object>
    <object type="XDDEVENTITYMAPPING" id="z211">
        <attribute name="sourcename" type="string">Reservoir</attribute>
        <attribute name="mappingtypename" type="string">Undefined</attribute>
        <attribute name="mappingnumber" type="int16">0</attribute>
        <attribute name="destinationname" type="string">Reservoir</attribute>
        <attribute name="autogenerateexpression" type="bool">1</attribute>
        <relationship name="mappingmodel" type="1/1" destination="XDDEVMAPPINGMODEL"></relationship>
        <relationship name="attributemappings" type="0/0" destination="XDDEVATTRIBUTEMAPPING"></relationship>
        <relationship name="relationshipmappings" type="0/0" destination="XDDEVRELATIONSHIPMAPPING"></relationship>
    </object>
    <object type="XDDEVENTITYMAPPING" id="z212">
        <attribute name="sourcename" type="string">CachedGlucoseObject</attribute>
        <attribute name="mappingtypename" type="string">Undefined</attribute>
        <attribute name="mappingnumber" type="int16">0</attribute>
        <attribute name="destinationname" type="string">CachedGlucoseObject</attribute>
        <attribute name="autogenerateexpression" type="bool">1</attribute>
        <relationship name="mappingmodel" type="1/1" destination="XDDEVMAPPINGMODEL"></relationship>
        <relationship name="attributemappings" type="0/0" destination="XDDEVATTRIBUTEMAPPING"></relationship>
        <relationship name="relationshipmappings" type="0/0" destination="XDDEVRELATIONSHIPMAPPING"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z213">
        <attribute name="name" type="string">date</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z216"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z214">
        <attribute name="name" type="string">data</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z207"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z215">
        <attribute name="name" type="string">modificationCounter</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z207"></relationship>
    </object>
    <object type="XDDEVENTITYMAPPING" id="z216">
        <attribute name="mappingtypename" type="string">Undefined</attribute>
        <attribute name="mappingnumber" type="int16">2</attribute>
        <attribute name="destinationname" type="string">DosingDecisionObject</attribute>
        <attribute name="autogenerateexpression" type="bool">1</attribute>
        <relationship name="mappingmodel" type="1/1" destination="XDDEVMAPPINGMODEL"></relationship>
        <relationship name="attributemappings" type="0/0" destination="XDDEVATTRIBUTEMAPPING" idrefs="z209 z213 z210"></relationship>
        <relationship name="relationshipmappings" type="0/0" destination="XDDEVRELATIONSHIPMAPPING"></relationship>
    </object>
    <object type="XDDEVENTITYMAPPING" id="z217">
        <attribute name="sourcename" type="string">PumpEvent</attribute>
        <attribute name="mappingtypename" type="string">Undefined</attribute>
        <attribute name="mappingnumber" type="int16">0</attribute>
        <attribute name="destinationname" type="string">PumpEvent</attribute>
        <attribute name="autogenerateexpression" type="bool">1</attribute>
        <relationship name="mappingmodel" type="1/1" destination="XDDEVMAPPINGMODEL"></relationship>
        <relationship name="attributemappings" type="0/0" destination="XDDEVATTRIBUTEMAPPING"></relationship>
        <relationship name="relationshipmappings" type="0/0" destination="XDDEVRELATIONSHIPMAPPING"></relationship>
    </object>
</database>